/****
    * HexGlass is a Tetris-like puzzle game.
    *
    * Project homepage: http://hexglass.googlecode.com/
    *
    * Copyright (C) 2010 Alexey Michurin <a.michurin@gmail.com>
    *
    * This program is free software: you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation, either version 3 of the License, or
    * (at your option) any later version.
    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    * GNU General Public License for more details.
    *
    * You should have received a copy of the GNU General Public License
    * along with this program. If not, see <http://www.gnu.org/licenses/>.
*****/

#ifndef SRC_CONTROL_HIGH_SCORE_CONTROLLER_H
#define SRC_CONTROL_HIGH_SCORE_CONTROLLER_H

#include <QObject>

class SignalEmiter;

class HighScoreController : public QObject {

    Q_OBJECT

private:
    SignalEmiter * emiters[3];
    int sc[3];
    int upper;

public:
    HighScoreController(QObject * p = 0);

    SignalEmiter * operator[](int);

public slots:
    void setup_scores(int const *);
    void set_val(int);

signals:
    void updated(const int *);
};

#endif // SRC_CONTROL_HIGH_SCORE_CONTROLLER_H
